using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Python
{
    public class PythonScriptRunner
    {
        public PythonScriptRunner()
        {

        }

        string result = "";
        public string RunPyScript(string pyInterpreterPath, string pyScriptPath)
        {
            System.Diagnostics.ProcessStartInfo start = new System.Diagnostics.ProcessStartInfo();
            start.FileName = pyInterpreterPath;
            start.Arguments = pyScriptPath;
            start.UseShellExecute = false;
            start.CreateNoWindow = true;
            start.RedirectStandardOutput = true;
            start.RedirectStandardError = true;

            using (System.Diagnostics.Process process = System.Diagnostics.Process.Start(start))
            {
                using (System.IO.StreamReader reader = process.StandardOutput)
                {
                    string line;
                    while ((line = reader.ReadLine()) != null)
                    {
                        result = result + line + "\n";
                    }
                }

                using (System.IO.StreamReader errorReader = process.StandardError)
                {
                    string errorLine;
                    while ((errorLine = errorReader.ReadLine()) != null)
                    {
                        result = result + errorLine + "\n";
                    }
                }

                process.WaitForExit();
                return result;
            }
        }
    }
}
